#
# spec file for package python-logzero
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-logzero
Version:        1.4.0
Release:        lp150.1.1
Summary:        A logging module for Python
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/metachris/logzero
Source:         https://files.pythonhosted.org/packages/source/l/logzero/logzero-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pytest-runner}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
%if %{with test}
BuildRequires:  %{python_module pytest}
%endif
# /SECTION
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
* Logs to console and/or file.
* Pretty formatting, including level-specific colors in the console.
* Robust against str/bytes encoding problems, works with all kinds of character encodings and special characters.
* Heavily inspired by the Tornado web framework.

%prep
%setup -q -n logzero-%{version}

%build
%python_build

%install
%python_install

%if %{with test}
%check
export LANG=en_US.UTF8
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc AUTHORS.rst README.rst HISTORY.rst
%if 0%{?leap_version} >= 420200 || 0%{?suse_version} > 1320
%%license LICENSE
%else
%doc LICENSE
%endif
%{python_sitelib}/*

%changelog
* Fri Mar  2 2018 sebix+novell.com@sebix.at
- update to version 1.4.0:
  * Allow Disabling stderr Output (PR 83)
* Fri Sep 15 2017 sebix+novell.com@sebix.at
- update to 1.3.1
  * logzero.logfile() doc fix (#41)
* Mon Jul 24 2017 jengelh@inai.de
- Rewrite and trim descriptions.
* Thu Jul 20 2017 sebix+novell.com@sebix.at
- update to 1.3.0
  * colorama for color output (now supports windows). see #18
  * allow force color with env var LOGZERO_FORCE_COLOR
* Sat Jul 15 2017 sebix+novell.com@sebix.at
- upgrade to 1.2.1
  * Logfiles with custom loglevels (eg. stream handler with DEBUG and file handler with ERROR).
* Wed Jul  5 2017 sebix+novell.com@sebix.at
- upgrade to 1.2.0
* Tue Jul  4 2017 sebix+novell.com@sebix.at
- fix the build by running the tests with unicode LANG
* Tue Jul  4 2017 sebix+novell.com@sebix.at
- upgrade to 1.1.2 (2017-07-04):
  * Better reconfiguration of handlers, doesn't remove custom handlers anymore
- upgrade to 1.1.0 (2017-07-03)
  * Bugfix: Disabled color logging to logfile
* Sat Jul  1 2017 sebix+novell.com@sebix.at
- initial package
